### Hierarchy

- EventEmitter
  - MongoPortable

## Index

### Constructors

- constructor

### Properties

- logger

### Methods

- emit

### Object literals

- options

## Constructors

### constructor

- new EventEmitter(options?: any): EventEmitter

- - Defined in emitter/EventEmitter.ts:9

  #### Parameters

  - ##### Default value options: any = {}

  #### Returns EventEmitter

## Properties

### Protected logger

logger: JSWLogger

- Defined in emitter/EventEmitter.ts:6

## Methods

### emit

- emit(event: string, args: Object, stores?: Array<Object | Function>): Promise<void>

- - Defined in emitter/EventEmitter.ts:18

  #### Parameters

  - ##### event: string

  - ##### args: Object

  - ##### Default value stores: Array<Object | Function> = []

  #### Returns Promise<void>

## Object literals

### options

options: object

- Defined in emitter/EventEmitter.ts:7

### log

log: object

- Defined in emitter/EventEmitter.ts:8

#### Type declaration

Generated using TypeDoc